## gcal notifier-1.0.0

=== requirements.txt ===
beautiful-date==2.0.0
cachetools==4.2.2
certifi==2021.5.30
charset-normalizer==2.0.4
gcsa==1.2.0
google-api-core==2.0.0
google-api-python-client==2.17.0
google-auth==2.0.1
google-auth-httplib2==0.1.0
google-auth-oauthlib==0.4.5
googleapis-common-protos==1.53.0
httplib2==0.19.1
idna==3.2
oauthlib==3.1.1
packaging==21.0
protobuf==3.17.3
pyasn1==0.4.8
pyasn1-modules==0.2.8
pyparsing==2.4.7
python-dateutil==2.8.2
pytz==2021.1
requests==2.26.0
requests-oauthlib==1.3.0
rsa==4.7.2
simpleaudio==1.0.4
six==1.16.0
tzlocal==2.1
uritemplate==3.0.1
urllib3==1.26.6

## gcal 3.6.0

=== debian/changelog ===
gcal (3.6.0-1) unstable; urgency=low

  * new upstream version 3.6.0
  * all relevant debian patches are now included in upstream version
  * debian/control: Standards-Version changed to 3.9.0 (no changes needed)
  * debian/control: reworded text of long description (Closes: #529374)
  * debian/control: DM-Upload-Allowed added
  * switch to dpkg-source 3.0 (quilt) format
  * as man pages have been removed from upstream tar ball, old versions
    are "patched" into the tree
  * lintian override for misspelled word added: "Nam" is part of "Viet Nam"
    and not a misspelled "Name"
  * interpretation of LC_* variables has been reworked (Closes: #197469)
    According to the new upstream, this error should have been fixed.
  * patch added for implicit declared functions

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 01 Jul 2010 18:00:00 +0200

gcal (3.01.1-10) unstable; urgency=low

  * new maintainer (Closes: #465930)
  * debian/control: changed Standards-Version to 3.8.3 (no changes needed)
  * debian/rules: updated clean rules to remove gcal.* files under
    doc/{de,en}: these are directories so do rm -rf
  * split architecture independent data into gcal-common package
  * README.source added
  * changed all modifications in src files to patches
  * corrected data/dates/lotr: Sm8 -> Smaug (Ubuntu bug LP: #126022)
  * according to Austrian law All Souls day is no holiday (Closes: #337043)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 21 Oct 2009 18:00:00 +0200

gcal (3.01.1-9) unstable; urgency=low

  * QA upload.
  * Remove -pg from CFLAGS in debian/rules. (Fixes FTBFS on GNU/Hurd).
  * Add watch file.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 05 May 2009 13:08:41 -0400

gcal (3.01.1-8) unstable; urgency=low

  * QA upload
  * debian/copyright: added year 2000, fixed spelling of upstream author 
    (on request by the upstream author).

 -- Ralf Treinen <treinen@debian.org>  Mon, 30 Mar 2009 20:44:22 +0200

gcal (3.01.1-7) unstable; urgency=low

  * QA upload.
  * debian/control
    - bump Standards-Version to 3.8.0 (no changes needed)
    - better short description
    - added texinfo build-dep, needed to provide makeinfo
  * src/{hd-data2.c,hd-defs.h,hd-data.c}
    - fixed Czech holidays; thanks to Martin Mares for the report and patch;
      Closes: #210760
  * src/hd-data.c
    - removed non ASCII char
  * po/Makefile.in.in
    - added --from-code=iso-8859-1
  * debian/rules
    - added -D_GNU_SOURCE to CFLAGS to prevent FTBFS with glibc 2.8; thanks to
      Albert Damen from Ubuntu package for the hint;
    - removed template header
    - removed unneeded or commented dh_* calls
    - updated clean rules to remove gcal.* files under doc/{de,en} since they
      are regenerated

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 13 Aug 2008 20:22:00 +0200

gcal (3.01.1-6) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs. (Closes: #249668).
  * Remove $$(INC) from CFLAGS. (Closes: #476046).
  * Use pager as default pager command. (Closes: #266365).
    + Thanks to Albert Damen.
  * Fix German translations. (Closes: #313710).
    + Thanks to Jens Seidel for the patch.
  * All Saints Day on some states. (Close: #396378).
    + Thanks to Marc-Jano Knopp for the patch.
  * Fix typo in copyright and update FSF address.
  * Make clean not ignore errors.
  * Replace 'pwd' with $(CURDIR).
  * Move DH_COMPAT to compat and set to 5.
  * Remove unneeded old.rules file.
  * Fix hyphens used as options in manpage.
  * Bump debhelper build-depends to 5.
  * Bump Standards Version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Sat, 19 Apr 2008 09:37:15 -0400

gcal (3.01.1-5.1) unstable; urgency=low

  * NMU
  * Don't provide dir.gz and dir.old.gz after a rebuild (Closes: #249668).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 11 Jul 2004 22:02:42 +0200

gcal (3.01.1-5) unstable; urgency=low

  * doc/calendar.faq: removed from source package (Closes: Bug#104495)
    This file is not free, the license forbids the redistribution for profit.
    James Troup had already removed the file in version 2.40-4 of this
    package, in a particularly stupid move on my part I managed to miss the
    entry in the changelog and the copyright file when I updated the package
    to a new upstream release. I would like to take this opportunity to say
    I am very sorry for my mistake to James, the other Debian developers, and
    users of the testing and unstable distribution.
  * debian/copyright: James Troup's name and comments removed from the 
    copyright file on his request.

 -- Edward Betts <edward@debian.org>  Fri, 13 Jul 2001 18:12:39 +0100

gcal (3.01-4) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.5
  * debian/copyright: added my name and cleaned up copyright
  * debian/rules: install info files correctly 

 -- Edward Betts <edward@debian.org>  Thu, 12 Jul 2001 17:12:36 +0100

gcal (3.01-3) unstable; urgency=low

  * debian/rules: Build-Depends: libncurses5-dev (Closes: Bug#94832)

 -- Edward Betts <edward@debian.org>  Sun, 22 Apr 2001 05:22:39 -0600

gcal (3.01-2) unstable; urgency=low

  * data/Makefile.in: stop package builds from installing files in $(HOME)

 -- Edward Betts <edward@debian.org>  Sat, 21 Apr 2001 13:57:06 -0600

gcal (3.01-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: Bug#75506)
  * Recompiled with libncurses5 (Closes: Bug#93990)
  * Acknowledge NMUs (Closes: Bug#91163, Bug#91474)
  * data/dates/world: Changed date of Nikolaustag (Closes: Bug#78867)
  * debian/control: added Build-Depends: debhelper, libncurses5
  * debian/rules: changed to debhelper v3

 -- Edward Betts <edward@debian.org>  Sat, 21 Apr 2001 02:11:50 -0600

gcal (2.40-8.1) unstable; urgency=low

  * NMU
  * Made the FSSTND -> FHS transition. (Closes: #91163, #91474)
  * Upped Standards-Version to 3.5.2.



=== debian/control ===
Source: gcal
Section: utils
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 5.0.0), libncurses5-dev, texinfo, quilt (>= 0.46-7~)
Homepage: http://directory.fsf.org/project/gcal/
DM-Upload-Allowed: yes

Package: gcal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gcal-common (= ${source:Version})
Description: program for calculating and printing calendars
 Gcal displays a calendar for a month or a year, eternal holiday lists
 and fixed date lists, in many ways. The program correctly omits the
 dates that were skipped when the current Gregorian calendar replaced
 the earlier Julian calendar.
 .
 Apart from the usual and well known calendar functions like the
 output of a month or a year calendar sheet, or the output of an eternal
 holiday list, Gcal offers the facility to display fixed dates on the
 day of their occurrence and to remind or inform the user about them.
 So it is possible for users to receive an on-screen notification, at bootup
 or login, of all holidays or appointments which take place on that day.
 Notification by electronic mail is also possible.

Package: gcal-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gcal (<= 3.01.1-9)
Recommends: gcal (>= ${source:Version})
Description: gcal architecture independent files
 This package contains architecture independent files needed for gcal to
 run properly. Therefore, unless you have 'gcal' package installed, you will
 hardly find this package useful.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export MAKEINFO=/usr/bin/makeinfo 

CFLAGS=-O2 -Wall -D_GNU_SOURCE

ifeq "$(findstring debug,$(DEB_BUILD_OPTIONS))" "debug"
	CFLAGS += -g
endif

build: build-stamp
build-stamp:
	dh_testdir
	dh_quilt_patch
	PAGER1=pager ./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info 
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_quilt_unpatch

	rm -f gmon.out
	rm -f po/*.gmo
	rm -f po/stamp-po
#XXX	rm -rf doc/en/gcal.*
#XXX	rm -rf doc/de/gcal.*
	rm -f intl/libintl.h
	rm -f install-info

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs
	dh_installdocs
	dh_installexamples
	dh_installchangelogs NEWS

	$(MAKE) prefix=$(CURDIR)/debian/gcal/usr miscDIR= install
	-rm -f $(CURDIR)/debian/gcal/usr/share/info/dir
	-rm -f $(CURDIR)/debian/gcal/usr/share/info/dir.old
	# create files for gcal-common
	mkdir -p $(CURDIR)/debian/gcal-common/usr/share/doc/gcal
	mv $(CURDIR)/debian/gcal/usr/share/gcal \
	        $(CURDIR)/debian/gcal-common/usr/share/gcal
	mv $(CURDIR)/debian/gcal/usr/share/doc/gcal/examples \
	        $(CURDIR)/debian/gcal-common/usr/share/doc/gcal/examples
	mv $(CURDIR)/debian/gcal/usr/share/locale \
	        $(CURDIR)/debian/gcal-common/usr/share/locale
	# Lintian overrides
	cd debian ; \
	for i in *.lintian ; do \
	  [ -r "$$i" ] && { \
	    mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
	  } ;\
	done

 
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installinfo doc/en/gcal.info*
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## gcal 3.6.1

=== debian/changelog ===
gcal (3.6.1-3) unstable; urgency=low

  * add debian/patches/gets.patch for eglibc-2.17 (Closes: #701394)
  * add description to patches
  * debian/rules: replace dh_clean -k by dh_prep
  * debian/rules: add support for hardening flags
  * debian/copyright: add correct versioned Format:-line
  * debian/control: bump version to 3.9.4 (no changes needed)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 12 Mar 2013 18:00:07 +0100

gcal (3.6.1-2) unstable; urgency=low

  * debian/rules: add real targets to build-arch and build-indep 
                  according to lintian recommendation
  * debian/changelog: minor corrections
  * debian/control: dependency of quilt removed
  * debian/control: moved to dh 8

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Dec 2011 19:00:07 +0100

gcal (3.6.1-1) unstable; urgency=low

  * Imported Upstream version 3.6.1
  * build-arch and build-indep are needed to calm lintian
  * debian/copyright: updated and changed to dep5 format
  * debian/control: bump standard to 3.9.2, no changes
  * debian/rules: do not install NEWS as changelog

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 19 Sep 2011 18:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 5.0.0), libncurses5-dev, texinfo, quilt (>= 0.46-7~)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8), libncurses5-dev, texinfo
 Homepage: http://directory.fsf.org/project/gcal/
 DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -5,20 +5,27 @@
 export DH_VERBOSE=1
 export MAKEINFO=/usr/bin/makeinfo 
 
-CFLAGS=-O2 -Wall -D_GNU_SOURCE
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+CFLAGS+=-O2 -Wall -D_GNU_SOURCE
 
 ifeq "$(findstring debug,$(DEB_BUILD_OPTIONS))" "debug"
 	CFLAGS += -g
 endif
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
-	dh_quilt_patch
 	PAGER1=pager ./configure --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info 
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch build-stamp
 
@@ -28,8 +35,6 @@
 	rm -f build-stamp
 
 	[ ! -f Makefile ] || $(MAKE) distclean
-
-	dh_quilt_unpatch
 
 	rm -f gmon.out
 	rm -f po/*.gmo
@@ -44,12 +49,12 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	dh_installdirs
 	dh_installdocs
 	dh_installexamples
-	dh_installchangelogs NEWS
+	dh_installchangelogs
 
 	$(MAKE) prefix=$(CURDIR)/debian/gcal/usr miscDIR= install
 	-rm -f $(CURDIR)/debian/gcal/usr/share/info/dir
@@ -63,6 +68,7 @@
 	mv $(CURDIR)/debian/gcal/usr/share/locale \
 	        $(CURDIR)/debian/gcal-common/usr/share/locale
 	# Lintian overrides
+	set -e; \
 	cd debian ; \
 	for i in *.lintian ; do \
 	  [ -r "$$i" ] && { \
@@ -95,4 +101,5 @@
 	dh_builddeb
 
 binary: binary-arch binary-indep
+
 .PHONY: build clean binary-indep binary-arch binary install

## gcal 3.6.3

=== debian/changelog ===
gcal (3.6.3-3build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:24:28 +0000

gcal (3.6.3-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:41:21 +0000

gcal (3.6.3-3) unstable; urgency=low

  * apply patch from Logan Rosen <logan@ubuntu.com> to use autotools-dev
    (debian/control, debian/rules) (Closes: #733472)
  * debian/control: bump version to 3.9.5 (no changes needed)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Dec 2013 18:00:07 +0100

gcal (3.6.3-2) unstable; urgency=low

  * debian/rules: tidy file
  * debian/rules: install gcal.info* only in gcal-common 
                  (Closes: #708481, #708399)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 May 2013 10:00:07 +0200

gcal (3.6.3-1) unstable; urgency=low

  * new upstream version
  * debian/control: remove DM-Upload-Allowed:
  * files from /usr/share/doc/examples now moved to 
    /usr/share/doc/gcal-common/examples

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 May 2013 18:00:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: gcal
 Section: utils
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8), libncurses5-dev, texinfo
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 8), libncurses5-dev, texinfo, autotools-dev
 Homepage: http://directory.fsf.org/project/gcal/
-DM-Upload-Allowed: yes
 
 Package: gcal
 Architecture: any

=== debian/watch ===
version=3

http://ftp.gnu.org/pub/gnu/gcal/gcal-([\d.]+)\.tar\.gz

## gcal 4.1

=== debian/changelog ===
gcal (4.1-3) sid; urgency=medium

  * debian/control: bump version to 4.3.0 (no changes needed)
  * debian/control: add salsa VCS URLs
  * debian/rules: remove autotools-dev from dh statement

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Jan 2019 19:18:45 +0100

gcal (4.1-2) unstable; urgency=medium

  * debian/patches: avoid FTBFS with glibc 2.28 (Closes: #915176)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Dec 2018 21:18:45 +0100

gcal (4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #787606, #833273)
  * debian/control: bump version to 4.1.4 (no changes needed)
  * debian/control: use dh11
  * debian/control: remove dependency on autotools-dev
  * debian/patches: remove gets.patch (applied upstream)
  * debian/rules: remove get-orig-source
  * Fix FTCBFS: Configure only once and let dh_auto_configure do it.
    Thanks to Helmut Grohne for the patch (Closes: #890336)
  * Fix for missing holiday: Feast of Corpus Christi
    Thanks to Klaus Singvogel for the patch (Closes: #823935)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Aug 2018 21:18:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: gcal
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 8), libncurses5-dev, texinfo, autotools-dev
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 11)
+	, libncurses5-dev
+	, texinfo
 Homepage: http://directory.fsf.org/project/gcal/
+Vcs-Browser: https://salsa.debian.org/alteholz/gcal
+Vcs-Git: https://salsa.debian.org/alteholz/gcal.git
 
 Package: gcal
 Architecture: any
@@ -33,4 +36,3 @@
  This package contains architecture independent files needed for gcal to
  run properly. Therefore, unless you have 'gcal' package installed, you will
  hardly find this package useful.
-

=== debian/watch ===
version=4

https://ftp.gnu.org/pub/gnu/gcal/gcal-([\d.]+)\.tar\.gz debian uupdate

## gcal 4.2.0

=== debian/changelog ===
gcal (4.2.0-3) unstable; urgency=medium

  * really fix build on arm64

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Sep 2025 11:04:59 +0200

gcal (4.2.0-2) unstable; urgency=medium

  * debian/patches: remove glibc2.28.patch (applied upstream)
  * add lm.patch to build on arm64

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 04 Sep 2025 17:04:59 +0200

gcal (4.2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1112051)
                          (Closes: #1096683)
                          (Closes: #1100893)
                          (Closes: #948785)
                          (Closes: #1013262)
  * debian/control: add package check and pkg-config as dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 03 Sep 2025 16:04:59 +0200

gcal (4.1-4) unstable; urgency=medium

  [ janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Fix day-of-week for changelog entry 3.01.1-10.
  * Update standards version to 4.6.0, no changes needed.

  [ Thorsten Alteholz ]
  * Update standards version to 4.7.2, no changes needed.
  * debian/control: add Rules-Requires-Root: no
  * debian/control: depend on libncurses-dev now

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 20 Aug 2025 12:18:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11)
-	, libncurses5-dev
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
+	, libncurses-dev
 	, texinfo
+	, check
+	, pkg-config
 Homepage: http://directory.fsf.org/project/gcal/
 Vcs-Browser: https://salsa.debian.org/alteholz/gcal
 Vcs-Git: https://salsa.debian.org/alteholz/gcal.git
+Rules-Requires-Root: no
 
 Package: gcal
 Architecture: any
@@ -32,6 +35,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: gcal (<= 3.01.1-9)
 Recommends: gcal (>= ${source:Version})
+Multi-Arch: foreign
 Description: gcal architecture independent files
  This package contains architecture independent files needed for gcal to
  run properly. Therefore, unless you have 'gcal' package installed, you will

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export MAKEINFO=/usr/bin/makeinfo

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS+=-O2 -Wall -D_GNU_SOURCE
LDFLAGS+=-Wl,-z,now

ifeq "$(findstring debug,$(DEB_BUILD_OPTIONS))" "debug"
	CFLAGS += -g
endif

%:
	-dh $@

override_dh_auto_configure:
	PAGER1=pager dh_auto_configure

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	dh_clean
	rm -f gmon.out
	rm -f po/stamp-po
	rm -f intl/libintl.h

override_dh_auto_install:
	dh_auto_install
	dh_installinfo -pgcal-common doc/en/gcal.info*

=== debian/watch ===
version=4

# as long as the GNU project is not able to manage access control,
# this software will be uploaded to a different place
#https://ftp.gnu.org/pub/gnu/gcal/gcal-([\d.]+)\.tar\.gz debian uupdate
https://www.alteholz.dev/gnu/gcal-([\d.]+)\.tar\.gz debian uupdate
